# $Revision: 1.88 $, $Date: 2004/05/29 09:47:35 $
#
# Conditional build:
%bcond_without  karma	# build package with PDL::Graphics::Karma modules
%bcond_without  html	# don't generate package with PDL documentation in HTML
%bcond_with	tests	# perform "make test"
			# require a valid DISPLAY
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	PDL
Summary:	perlDL - efficient numerical computing for Perl
Summary(pl):	perlDL - wydajne obliczenia numeryczne w Perlu
Summary(pt_BR):	Mdulo PDL para perl
Name:		perl-PDL
Version:	2.4.1
Release:	2
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{version}.tar.gz
# Source0-md5:	0d57eb5ccb4d9e63103622e1e1144793
Patch0:		%{name}-conf.patch
Patch1:		%{name}-dep.patch
Patch2:		%{name}-Makefile.PL.patch-dumb
Patch3:		%{name}-fftw-shared.patch
Patch4:		%{name}-WITH_IO_BROWSER.patch
Patch5:		%{name}-karma.patch
Patch6:		%{name}-vendorarch.patch
URL:		http://pdl.perl.org/
BuildRequires:	OpenGL-devel
BuildRequires:	XFree86-devel
BuildRequires:	fftw-devel >= 2.1.3-5
BuildRequires:	gsl-devel >= 1.3
%{?with_karma:BuildRequires:	karma-devel}
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	perl-ExtUtils-F77 >= 1.10
BuildRequires:	perl-Filter
BuildRequires:	perl-Inline >= 0.43
BuildRequires:	perl-PGPLOT
BuildRequires:	perl-Tk
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-perldoc
BuildRequires:	plplot-devel >= 5.2.1
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1 libGLcore.so.1
%define		_noautoreq	'perl(local.perldlrc)'

%description
The perlDL project aims to turn Perl into an efficient numerical
language for scientific computing. The PDL module gives standard Perl
the ability to COMPACTLY store and SPEEDILY manipulate the large
N-dimensional data sets which are the bread and butter of scientific
computing, i.e. C<$a=$b+$c> can add two 2048x2048 images in only a
fraction of a second.

%description -l pl
Modu perlDL rozszerza moliwoci Perla o funkcje do oblicze
numerycznych. Umoliwia przechowywanie oraz szybkie manipulowanie
duymi n-wymiarowymi zbiorami danych, ktre s chlebem powszednim
naukowych oblicze, np.: C<$a=$b+$c> dodaje dwie bitmapy rozmiaru
2048x2048 w uamku sekundy.

%description -l pt_BR
O projeto perlDL pretende tornar perl uma linguagem nmerica eficiente
para computao cientfica. O mdulo PDL d ao perl a habilidade de
armazenar de forma compacta e manipular rapidamente grandes conjuntos
de dados de N dimenses que so muito comuns em computao cientfica.
Ex. $a=$b+$c pode adicionar imagens de 2048x2048 em apenas uma frao
de segundo.

%package perldl
Summary:	PDL shell
Summary(pl):	Powoka PDL
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description perldl
The program perldl is a simple shell (written in perl) for interactive
use of PDL. perl/PDL commands can simply be typed in - and edited if
you have appropriate version of the ReadLines and ReadKeys modules
installed. In that case perldl also supports a history mechanism.

%description perldl -l pl
Program perldl jest prost powok napisan w Perlu do interaktywnego
wykonywania funkcji moduu PDL. Komendy Perla lub PDL mog by w
prosty sposb wprowadzane, a take edytowane jeli masz zainstalowan
odpowiedni wersj modu ReadLines oraz ReadKeys. W tym ostatnim
przypadku perldl wspiera mechanizm historii komend.

%package docs
Summary:	Supplied extra documentation for PDL::* perl modules
Summary(pl):	Dodatkowo dostarczona dokumentacja do moduw perla PDL::*
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description docs
Additional, supplied by authors, documentation to all PDL::* modules.

%description docs -l pl
Dodatkowa, dostarczona przez autorw, dokumentacja do moduw PDL::*.

%package docs-HTML
Summary:	Supplied extra documentation for PDL::* perl modules in HTML format
Summary(pl):	Dodatkowo dostarczona dokumentacja w HTML-u do moduw perla PDL::*
Group:		Development/Languages/Perl
# for install dir
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description docs-HTML
Additional, supplied by authors, documentation in HTML format to all
PDL::* modules.

%description docs-HTML -l pl
Dodatkowa, dostarczona przez autorw, dokumentacja do moduw PDL::*,
w formacie HTML.

%package Graphics-IIS
Summary:	Display PDL images on IIS devices (saoimage/ximtool)
Summary(pl):	Wywietlanie grafiki PDL na urzdzeniach IIS (saoimage/ximtool)
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description Graphics-IIS
Display PDL images on IIS devices (saoimage/ximtool).

%description Graphics-IIS -l pl
Wywietlanie grafiki PDL na urzdzeniach IIS (saoimage/ximtool).

%package Graphics-Karma
Summary:	Interface to Karma visualisation applications
Summary(pl):	Interfejs do aplikacji wizualizujcych Karma
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description Graphics-Karma
PDL::Graphics::Karma is an interface to Karma visualisation
applications. It can send PDL 2D/3D data to kview, xray, kslice_3d,
etc.

%description Graphics-Karma -l pl
PDL::Graphics::Karma to interfejs do aplikacji wizualizujcych Karma.
Moe wysya dane 2D i 3D do kview, xray, kslice_3d itp.

%package Graphics-LUT
Summary:	Provides access to a number of look-up tables for PDL
Summary(pl):	Dostp do tablic kolorw dla PDL
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description Graphics-LUT
Provides access to a number of look-up tables for PDL.

%description Graphics-LUT -l pl
Modu zapewnia dostp do rnych tablic kolorw (palet) dla PDL.

%package Graphics-OpenGL
Summary:	PDL interface to the OpenGL graphics library
Summary(pl):	Interfejs OpenGL dla PDL
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description Graphics-OpenGL
PDL interface to the OpenGL graphics library.

%description Graphics-OpenGL -l pl
Interfejs OpenGL dla PDL.

%package Graphics-PGPLOT
Summary:	PGPLOT enhanced interface for PDL
Summary(pl):	Rozszerzony interfejs biblioteki PGPLOT dla PDL
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description Graphics-PGPLOT
`PDL::Graphics::PGPLOT' is a convenience interface to the PGPLOT
commands, implemented using the object oriented PGPLOT plotting
package in the PDL::Graphics::PGPLOT::Window manpage. See the
documentation for that package for in-depth information about the
usage of these commands and the options they accept.

%description Graphics-PGPLOT -l pl
Modu ten jest interfejsem do komend biblioteki PGPLOT. Jest ona
zaimplementowany za pomoc obiektowo zorientowanego pakietu PGPLOT
(spjrz do manuala moduu PDL::Graphics::PGPLOT::Window).

%package Graphics-PLplot
Summary:	PDL::Graphics::PLplot - interface to the PLplot plotting library
Summary(pl):	PDL::Graphics::PLplot - interfejs do biblioteki rysujcej PLplot
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description Graphics-PLplot
PDL::Graphics::PLplot is the PDL interface to the PLplot graphics
library. It is designed to be simple and light weight with a familiar
'perlish' Object Oriented interface.

%description Graphics-PLplot -l pl
PDL::Graphics::PLplot to interfejs PLD do biblioteki graficznej
PLplot. Jest zaprojektowany tak, aby by prosty i lekki ze znajomym
perlowatym zorientowanym obiektowo interfejsem.

%package Graphics-TriD
Summary:	PDL 3D interface
Summary(pl):	Interfejs 3D dla PDL
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name}-Graphics-OpenGL = %{epoch}:%{version}-%{release}
Requires:	%{name}-IO-Pic = %{epoch}:%{version}-%{release}

%description Graphics-TriD
This module implements a generic 3D plotting interface for PDL.
Points, lines and surfaces (among other objects) are supported.

With OpenGL, it is easy to manipulate the resulting 3D objects with
the mouse in real time - this helps data visualization a lot.

With VRML, you can generate objects for everyone to see with e.g.
Silicon Graphics' Cosmo Player. You can find out more about VRML at
`http://vrml.sgi.com/' or `http://www.vrml.org/'

%description Graphics-TriD -l pl
Modu ten implementuje podstawowy interfejs 3D dla PDL. Dostpne s -
wrd innych obiektw - punkty, linie oraz powierzchnie.

Za pomoc OpenGL, stworzonymi obiektami 3D mona atwo manipulowa w
czasie rzeczywistym za pomoc myszy, co bardzo wspomaga wizualizacj
danych.

Moesz te generowa obiekty w formacie VRML, ktre mog by ogldane
przez inne osoby za pomoc np.: programu Cosmo Player firmy Silicon
Graphics. Wicej na temat VRML moesz znale pod adresami
http://vrml.sgi.com/ lub http://www.vrml.org/.

%package Graphics-TriD-Tk
Summary:	A Tk widget interface to the PDL-Graphics-TriD
Summary(pl):	Kontrolka interfejsu Tk dla PDL-Graphics-TriD
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name}-Graphics-OpenGL = %{epoch}:%{version}-%{release}
Requires:	%{name}-Graphics-TriD = %{epoch}:%{version}-%{release}

%description Graphics-TriD-Tk
The widget is composed of a Frame and the Display device of the TriD
output. It inherits all of the attributes of a Tk Frame. All of the
events associated with this window are handled through Tk with the
exception of the <expose> event which must be handled by TriD because
the Frame is never exposed. Default mouse bindings, defined for
button1 and button3, control TriD object orientation and size
respectively.

%description Graphics-TriD-Tk -l pl
Kontrolka ta skada si z obiektu Frame oraz urzdzenia Display moduu
TriD. Dziedziczy ona wszystkie atrybuty obiektu Tk Frame. Wszystkie
zdarzenia skojarzone z tym oknem kontrolki s obsugiwane za pomoc Tk
za wyjtkiem zdarzenia <expose>, ktre musi by obsuone przez modu
TriD, poniewa obiekt Frame nie jest nigdy wywietlany. Za pomoc
przyciskw myszki mona kontrolowa widok obiektu (przycisk pierwszy)
oraz jego rozmiar (przycisk trzeci).

%package IO-Browser
Summary:	2D data browser for PDL
Summary(pl):	Przegldarka danych 2D dla PDL
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description IO-Browser
2D data browser for PDL.

%description -l pl IO-Browser
Przegldarka danych 2D dla PDL.

%package IO-FastRaw
Summary:	A simple, fast and convenient IO format for PDL
Summary(pl):	Prosty, szybki i wygodny format wejcia/wyjcia dla PDL
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description IO-FastRaw
A simple, fast and convenient IO format for PDL.

%description IO-FastRaw -l pl
Prosty, szybki i wygodny format wejcia/wyjcia dla PDL.

%package IO-FlexRaw
Summary:	A flexible binary IO format for PDL
Summary(pl):	Elastyczny binarny format wejcia/wyjcia dla PDL
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description IO-FlexRaw
A flexible binary IO format for PDL.

%description IO-FlexRaw -l pl
Elastyczny binarny format wejcia/wyjcia dla PDL.

%package IO-NDF
Summary:	Starlink N-dimensional data structures for PDL
Summary(pl):	Wsparcie dla n-wymiarowych struktur danych firmy Starlink dla PDL
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description IO-NDF
Starlink N-dimensional data structures for PDL.

%description IO-NDF -l pl
Wsparcie dla n-wymiarowych struktur danych firmy Starlink dla PDL.

%package IO-Pic
Summary:	Image I/O for PDL based on the netpbm package
Summary(pl):	Obsuga obrazkw dla PDL oparta na pakiecie netpbm
Group:		Development/Languages/Perl
Requires:	netpbm
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name}-IO-Pnm = %{epoch}:%{version}-%{release}

%description IO-Pic
This package implements I/O for a number of popular image formats by
exploiting the xxxtopnm and pnmtoxxx converters from the netpbm
package.

%description IO-Pic -l pl
Pakiet daje moliwo czytania i zapisywania obrazkw w wielu
formatach poprzez wykorzystywanie konwerterw xxxtopnm i pnmtoxxx z
pakietu netpbm.

%package IO-Pnm
Summary:	PNM format IO for PDL
Summary(pl):	Wsparcie dla formatu PNM dla PDL
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description IO-Pnm
PNM format IO for PDL.

%description IO-Pnm -l pl
Wsparcie dla formatu PNM dla PDL.

%package IO-Storable
Summary:	Helper functions to make PDL usable with Storable
Summary(pl):	Funkcje pomocnicze pozwalajace uywa PDL ze Storable
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description IO-Storable
Helper functions to make PDL usable with Storable.

%description IO-Storable -l pl
Funkcje pomocnicze pozwalajace uywa PDL wraz ze Storable.

%package Slatec
Summary:	PDL interface to the Slatec numerical programming library
Summary(pl):	Interfejs PDL do biblioteki numerycznej Slatec
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description Slatec
PDL interface to the Slatec numerical programming library.

%description Slatec -l pl
Interfejs PDL do biblioteki numerycznej Slatec.

%package GSL
Summary:	PDL interface to RNG and randist routines in GSL
Summary(pl):	Interfejs PDL do funkcji RNG i randist z biblioteki GSL
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description GSL
Interface to the rng and randist packages present in the GNU
Scientific Library.

%description GSL -l pl
Interfejs do funkcji rng i randist z biblioteki GSL.

%package GSLSF
Summary:	PDL interface to GSL Special Functions
Summary(pl):	Interfejs PDL do funkcji specjalnych GSL
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description GSLSF
PDL interface to GSL Special Functions.

%description GSLSF -l pl
Interfejs PDL do funkcji specjalnych GSL.

%package Demos
Summary:	PDL demos
Summary(pl):	Przykadowe skrypty z uyciem PDL
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name}-Graphics-LUT = %{epoch}:%{version}-%{release}
Requires:	%{name}-Graphics-PGPLOT = %{epoch}:%{version}-%{release}
Requires:	%{name}-Graphics-TriD = %{epoch}:%{version}-%{release}
Requires:	%{name}-Graphics-TriD-Tk = %{epoch}:%{version}-%{release}

%description Demos
PDL demos.

%description Demos -l pl
Przykadowe skrypty z uyciem PDL.

%prep
%setup -q -n %{pdir}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%{?with_karma:%patch5 -p1}
%patch6 -p1

%{__perl} -pi -e 's/\b(pdlpp_postamble)\b/$1_int/g' Graphics/PLplot/Makefile.PL
# g77 flags for compiling Slatec:
%{__perl} -pi -e 's@\) \$mycflags s@\) %{rpmcflags} -fPIC s@' Lib/Slatec/Makefile.PL

%{__perl} -pi -e "s@(FFTW_LIBS.*)'/lib','/usr/lib','/usr/local/lib'@\$1'/usr/%{_lib}'@" perldl.conf
%{__perl} -pi -e "s@(OPENGL_LIBS.*)'-L/usr/X11R6/lib@\$1'-L/usr/X11R6/%{_lib}@" perldl.conf
%{__perl} -pi -e "s@(WHERE_KARMA.*)\"/usr/lib/karma@\$1\"/usr/%{_lib}/karma@" perldl.conf
%{__perl} -pi -e "s@(WHERE_PLPLOT_LIBS.*)undef@\$1'/usr/%{_lib}'@" perldl.conf

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags} -I/usr/include/ncurses -DNCURSES -DPERL_POLLUTE"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# perl script to regenerate pdldoc database
install Doc/scantree.pl $RPM_BUILD_ROOT%{perl_vendorarch}/PDL/scantree.pl

# some manuals have wrong names - this can be fixed in "Makefile.PL"s or here:
cd $RPM_BUILD_ROOT%{_mandir}/man3
mv -f PDL::Dev.3pm		PDL::Core::Dev.3pm
mv -f PDL::Linear.3pm		PDL::Filter::Linear.3pm
mv -f PDL::LinPred.3pm		PDL::Filter::LinPred.3pm
mv -f PDL::LM.3pm		PDL::Fit::LM.3pm
mv -f PDL::Linfit.3pm 		PDL::Fit::Linfit.3pm
mv -f PDL::Polynomial.3pm	PDL::Fit::Polynomial.3pm
mv -f PDL::State.3pm		PDL::Graphics::State.3pm
mv -f Pdlpp.3pm			Inline::Pdlpp.3pm

# some man pages do not belong to the man1 section
cd $RPM_BUILD_ROOT%{_mandir}/man1
for i in PDL::*.1*; do
	mv $i ../man3/`echo $i | sed 's/\.1p\?$/.3/'`
done

%clean
rm -rf $RPM_BUILD_ROOT

%post docs
/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}

%post Graphics-IIS
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%post Graphics-Karma
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%post Graphics-LUT
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%post Graphics-OpenGL
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%post Graphics-PGPLOT
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%post Graphics-PLplot
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%post Graphics-TriD
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%post Graphics-TriD-Tk
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%post IO-Browser
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%post IO-FastRaw
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%post IO-FlexRaw
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%post IO-NDF
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%post IO-Pic
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%post IO-Pnm
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%post IO-Storable
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%post Slatec
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%post GSL
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%post GSLSF
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%post Demos
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%postun Graphics-IIS
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%postun Graphics-Karma
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%postun Graphics-LUT
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%postun Graphics-OpenGL
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%postun Graphics-PGPLOT
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%postun Graphics-PLplot
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%postun Graphics-TriD
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%postun Graphics-TriD-Tk
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%postun IO-Browser
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%postun IO-FastRaw
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%postun IO-FlexRaw
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%postun IO-NDF
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%postun IO-Pic
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%postun IO-Pnm
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%postun IO-Storable
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%postun Slatec
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%postun GSL
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%postun GSLSF
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%postun Demos
if [ -f %{perl_vendorarch}/PDL/scantree.pl ]; then
	/usr/bin/perl %{perl_vendorarch}/PDL/scantree.pl %{perl_vendorarch}
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pptemplate
%dir %{perl_vendorarch}/PDL

%{perl_vendorarch}/PDL.pm
%{perl_vendorarch}/PDL/AutoLoader.pm
%{perl_vendorarch}/PDL/Bad.pm
%{perl_vendorarch}/PDL/Basic.pm
%{perl_vendorarch}/PDL/CallExt.pm
%{perl_vendorarch}/PDL/Char.pm
%{perl_vendorarch}/PDL/Complex.pm
%{perl_vendorarch}/PDL/Config.pm
%{perl_vendorarch}/PDL/Core
%{perl_vendorarch}/PDL/Core.pm
%{perl_vendorarch}/PDL/Dbg.pm
%{perl_vendorarch}/PDL/DiskCache.pm
%{perl_vendorarch}/PDL/Doc
%{perl_vendorarch}/PDL/Doc.pm
%{perl_vendorarch}/PDL/Exporter.pm
%{perl_vendorarch}/PDL/FFT.pm
%{perl_vendorarch}/PDL/FFTW.pm
%dir %{perl_vendorarch}/PDL/Filter
%{perl_vendorarch}/PDL/Filter/Linear.pm
%dir %{perl_vendorarch}/PDL/Fit
%{perl_vendorarch}/PDL/Fit/Gaussian.pm
%{perl_vendorarch}/PDL/Func.pm
%dir %{perl_vendorarch}/PDL/Graphics
%{perl_vendorarch}/PDL/Graphics/State.pm
%{perl_vendorarch}/PDL/Image2D.pm
%{perl_vendorarch}/PDL/ImageND.pm
%{perl_vendorarch}/PDL/ImageRGB.pm
%dir %{perl_vendorarch}/PDL/IO
%{perl_vendorarch}/PDL/IO/Dumper.pm
%{perl_vendorarch}/PDL/IO/FITS.pm
%{perl_vendorarch}/PDL/IO/Misc.pm
%{perl_vendorarch}/PDL/LiteF.pm
%{perl_vendorarch}/PDL/Lite.pm
%{perl_vendorarch}/PDL/Lvalue.pm
%{perl_vendorarch}/PDL/Math.pm
%{perl_vendorarch}/PDL/MatrixOps.pm
%{perl_vendorarch}/PDL/NiceSlice.pm
%{perl_vendorarch}/PDL/Opt
%{perl_vendorarch}/PDL/Ops.pm
%{perl_vendorarch}/PDL/Options.pm
%{perl_vendorarch}/PDL/PP
%{perl_vendorarch}/PDL/PP.pm
%{perl_vendorarch}/PDL/Primitive.pm
%{perl_vendorarch}/PDL/Pod
%{perl_vendorarch}/PDL/Reduce.pm
%{perl_vendorarch}/PDL/Slices.pm
%{perl_vendorarch}/PDL/Tests.pm
# maybe separate PDL::Transform? (~500kB)
%{perl_vendorarch}/PDL/Transform.pm
%{perl_vendorarch}/PDL/Transform
%{perl_vendorarch}/PDL/Types.pm
%{perl_vendorarch}/PDL/Ufunc.pm
%{perl_vendorarch}/PDL/Version.pm
%{perl_vendorarch}/PDL/default.perldlrc

%dir %{perl_vendorarch}/auto/PDL
%dir %{perl_vendorarch}/auto/PDL/Bad
%{perl_vendorarch}/auto/PDL/Bad/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/Bad/*.so
%dir %{perl_vendorarch}/auto/PDL/Complex
%{perl_vendorarch}/auto/PDL/Complex/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/Complex/*.so
%dir %{perl_vendorarch}/auto/PDL/FFT
%{perl_vendorarch}/auto/PDL/FFT/*bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/FFT/*so
%dir %{perl_vendorarch}/auto/PDL/FFTW
%{perl_vendorarch}/auto/PDL/FFTW/*bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/FFTW/*so
%dir %{perl_vendorarch}/auto/PDL/Graphics
%dir %{perl_vendorarch}/auto/PDL/IO

%dir %{perl_vendorarch}/auto/PDL/Image2D
%{perl_vendorarch}/auto/PDL/Image2D/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/Image2D/*.so
%dir %{perl_vendorarch}/auto/PDL/ImageRGB
%{perl_vendorarch}/auto/PDL/ImageRGB/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/ImageRGB/*.so
%dir %{perl_vendorarch}/auto/PDL/Ops
%{perl_vendorarch}/auto/PDL/Ops/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/Ops/*.so
%dir %{perl_vendorarch}/auto/PDL/Slices
%{perl_vendorarch}/auto/PDL/Slices/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/Slices/*.so
%dir %{perl_vendorarch}/auto/PDL/Ufunc
%{perl_vendorarch}/auto/PDL/Ufunc/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/Ufunc/*.so
%dir %{perl_vendorarch}/auto/PDL/CallExt
%{perl_vendorarch}/auto/PDL/CallExt/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/CallExt/*.so
%dir %{perl_vendorarch}/auto/PDL/Core
%{perl_vendorarch}/auto/PDL/Core/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/Core/*.so
%dir %{perl_vendorarch}/auto/PDL/Fit
%dir %{perl_vendorarch}/auto/PDL/Fit/Gaussian
%{perl_vendorarch}/auto/PDL/Fit/Gaussian/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/Fit/Gaussian/*.so
%dir %{perl_vendorarch}/auto/PDL/ImageND
%{perl_vendorarch}/auto/PDL/ImageND/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/ImageND/*.so
%dir %{perl_vendorarch}/auto/PDL/IO/Misc
%{perl_vendorarch}/auto/PDL/IO/Misc/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/IO/Misc/*.so
%dir %{perl_vendorarch}/auto/PDL/Math
%{perl_vendorarch}/auto/PDL/Math/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/Math/*.so
%dir %{perl_vendorarch}/auto/PDL/MatrixOps
%{perl_vendorarch}/auto/PDL/MatrixOps/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/MatrixOps/*.so
%dir %{perl_vendorarch}/auto/PDL/Primitive
%{perl_vendorarch}/auto/PDL/Primitive/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/Primitive/*.so
%dir %{perl_vendorarch}/auto/PDL/Tests
%{perl_vendorarch}/auto/PDL/Tests/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/Tests/*.so
%dir %{perl_vendorarch}/auto/PDL/Transform
%{perl_vendorarch}/auto/PDL/Transform/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/Transform/*.so

%{perl_vendorarch}/Inline/Pdlpp.pm

%{_mandir}/man1/pdl.1*
%{_mandir}/man1/pptemplate.1*
%{_mandir}/man3/Inline::Pdlpp.3pm*
%{_mandir}/man3/PDL.*
%{_mandir}/man3/PDL::[AC-ELO-RTU]*
%{_mandir}/man3/PDL::Ba*
%{_mandir}/man3/PDL::FAQ*
%{_mandir}/man3/PDL::FFT*
%{_mandir}/man3/PDL::Filter::Linear*
%{_mandir}/man3/PDL::Fit::Gaussian*
%{_mandir}/man3/PDL::Func.3pm*
%{_mandir}/man3/PDL::Graphics::State.3pm*
%{_mandir}/man3/PDL::I[mn]*
%{_mandir}/man3/PDL::IO::FITS.3pm*
%{_mandir}/man3/PDL::IO::Misc*
%{_mandir}/man3/PDL::Math*
%{_mandir}/man3/PDL::MatrixOps.3pm*
%{_mandir}/man3/PDL::NiceSlice.3pm*
%{_mandir}/man3/PDL::Slices*
%{_mandir}/man3/PDL::pptemplate.3pm*

%files docs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pdldoc
%attr(755,root,root) %{perl_vendorarch}/PDL/scantree.pl
%ghost %{perl_vendorarch}/PDL/pdldoc.db
%doc %{perl_vendorarch}/PDL/*.pod
%{_mandir}/man1/pdldoc.1*

%if %{with html}
%files docs-HTML
%defattr(644,root,root,755)
%doc %{perl_vendorarch}/PDL/HtmlDocs
%endif

%files perldl
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/perldl
%{_mandir}/man1/perldl*

%files Graphics-IIS
%defattr(644,root,root,755)
%{perl_vendorarch}/PDL/Graphics/IIS*
%dir %{perl_vendorarch}/auto/PDL/Graphics/IIS
%{perl_vendorarch}/auto/PDL/Graphics/IIS/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/Graphics/IIS/*.so
%{_mandir}/man3/PDL::Graphics::IIS*

%if %{with karma}
%files Graphics-Karma
%defattr(644,root,root,755)
%{perl_vendorarch}/PDL/Graphics/Karma.pm
%dir %{perl_vendorarch}/auto/PDL/Graphics/Karma
%{perl_vendorarch}/auto/PDL/Graphics/Karma/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/Graphics/Karma/*.so
%{_mandir}/man3/PDL::Graphics::Karma*
%endif

%files Graphics-LUT
%defattr(644,root,root,755)
%{perl_vendorarch}/PDL/Graphics/LUT*
%{_mandir}/man3/PDL::Graphics::LUT*

%files Graphics-OpenGL
%defattr(644,root,root,755)
%{perl_vendorarch}/PDL/Graphics/OpenGL*
%dir %{perl_vendorarch}/auto/PDL/Graphics/OpenGL*
%{perl_vendorarch}/auto/PDL/Graphics/OpenGL*/*bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/Graphics/OpenGL*/*so
%{_mandir}/man3/PDL::Graphics::OpenGL*

%files Graphics-PGPLOT
%defattr(644,root,root,755)
%{perl_vendorarch}/PDL/Graphics/PGPLOT*
%{perl_vendorarch}/PDL/Graphics2D*
%dir %{perl_vendorarch}/auto/PDL/Graphics/PGPLOT
%dir %{perl_vendorarch}/auto/PDL/Graphics/PGPLOT/Window
%{perl_vendorarch}/auto/PDL/Graphics/PGPLOT/Window/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/Graphics/PGPLOT/Window/*.so
%{_mandir}/man3/PDL::Graphics2D*
%{_mandir}/man3/PDL::Graphics::PGPLOT*

%files Graphics-PLplot
%defattr(644,root,root,755)
%doc Graphics/PLplot/{Changes,README}
%{perl_vendorarch}/PDL/Graphics/PLplot.pm
%dir %{perl_vendorarch}/auto/PDL/Graphics/PLplot
%{perl_vendorarch}/auto/PDL/Graphics/PLplot/PLplot.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/Graphics/PLplot/PLplot.so
%{_mandir}/man3/PDL::Graphics::PLplot.3pm*

%files Graphics-TriD
%defattr(644,root,root,755)
%dir %{perl_vendorarch}/PDL/Graphics/TriD
%{perl_vendorarch}/PDL/Graphics/TriD/[A-SU-Z]*
%{perl_vendorarch}/PDL/Graphics/TriD/Te*
%{perl_vendorarch}/PDL/Graphics/VRML*
%{perl_vendorarch}/PDL/Graphics/TriD.pm
%dir %{perl_vendorarch}/auto/PDL/Graphics/TriD
%dir %{perl_vendorarch}/auto/PDL/Graphics/TriD/Rout
%{perl_vendorarch}/auto/PDL/Graphics/TriD/Rout/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/Graphics/TriD/Rout/*.so
%{_mandir}/man3/PDL::Graphics::TriD.*
%{_mandir}/man3/PDL::Graphics::TriD::[A-SU-Z]*

%files Graphics-TriD-Tk
%defattr(644,root,root,755)
%{perl_vendorarch}/PDL/Graphics/TriD/Tk*
%{_mandir}/man3/PDL::Graphics::TriD::Tk*

%files IO-Browser
%defattr(644,root,root,755)
%{_mandir}/man3/PDL::IO::Browser*
%dir %{perl_vendorarch}/auto/PDL/IO/Browser
%{perl_vendorarch}/auto/PDL/IO/Browser/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/IO/Browser/*.so
%{perl_vendorarch}/PDL/IO/Browser*

%files IO-FastRaw
%defattr(644,root,root,755)
%{_mandir}/man3/PDL::IO::FastRaw*
%{perl_vendorarch}/PDL/IO/FastRaw*

%files IO-FlexRaw
%defattr(644,root,root,755)
%{_mandir}/man3/PDL::IO::FlexRaw*
%{perl_vendorarch}/PDL/IO/FlexRaw*

%files IO-NDF
%defattr(644,root,root,755)
%{_mandir}/man3/PDL::IO::NDF*
%{perl_vendorarch}/PDL/IO/NDF*

%files IO-Pic
%defattr(644,root,root,755)
%{perl_vendorarch}/PDL/IO/Pic*

%files IO-Pnm
%defattr(644,root,root,755)
%{_mandir}/man3/PDL::IO::Pnm*
%dir %{perl_vendorarch}/auto/PDL/IO/Pnm
%{perl_vendorarch}/auto/PDL/IO/Pnm/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/IO/Pnm/*.so
%{perl_vendorarch}/PDL/IO/Pnm*

%files IO-Storable
%defattr(644,root,root,755)
%{perl_vendorarch}/PDL/IO/Storable.pm
%dir %{perl_vendorarch}/auto/PDL/IO/Storable
%{perl_vendorarch}/auto/PDL/IO/Storable/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/IO/Storable/*.so
%{_mandir}/man3/PDL::IO::Storable*

%files Slatec
%defattr(644,root,root,755)
%{_mandir}/man3/PDL::Filter::LinPred*
%{_mandir}/man3/PDL::Fit::Linfit*
%{_mandir}/man3/PDL::Fit::LM*
%{_mandir}/man3/PDL::Fit::Polynomial*
%{_mandir}/man3/PDL::Gaussian*
%{_mandir}/man3/PDL::Matrix.3pm*
%{_mandir}/man3/PDL::Slatec*
%{perl_vendorarch}/PDL/Filter/LinPred.pm
%{perl_vendorarch}/PDL/Fit/Linfit.pm
%{perl_vendorarch}/PDL/Fit/LM.pm
%{perl_vendorarch}/PDL/Fit/Polynomial.pm
%{perl_vendorarch}/PDL/Gaussian.pm
%{perl_vendorarch}/PDL/Matrix.pm
%{perl_vendorarch}/PDL/Slatec.pm
%dir %{perl_vendorarch}/auto/PDL/Slatec
%{perl_vendorarch}/auto/PDL/Slatec/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/Slatec/*.so

%files GSL
%defattr(644,root,root,755)
%{perl_vendorarch}/PDL/GSL
%dir %{perl_vendorarch}/auto/PDL/GSL
%dir %{perl_vendorarch}/auto/PDL/GSL/DIFF
%{perl_vendorarch}/auto/PDL/GSL/DIFF/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/GSL/DIFF/*.so
%dir %{perl_vendorarch}/auto/PDL/GSL/INTEG
%{perl_vendorarch}/auto/PDL/GSL/INTEG/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/GSL/INTEG/*.so
%dir %{perl_vendorarch}/auto/PDL/GSL/INTERP
%{perl_vendorarch}/auto/PDL/GSL/INTERP/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/GSL/INTERP/*.so
%dir %{perl_vendorarch}/auto/PDL/GSL/RNG
%{perl_vendorarch}/auto/PDL/GSL/RNG/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/GSL/RNG/*.so
%{_mandir}/man3/PDL::GSL::*

%files GSLSF
%defattr(644,root,root,755)
%{perl_vendorarch}/PDL/GSLSF
%dir %{perl_vendorarch}/auto/PDL/GSLSF
%dir %{perl_vendorarch}/auto/PDL/GSLSF/*
%{perl_vendorarch}/auto/PDL/GSLSF/*/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PDL/GSLSF/*/*.so
%{_mandir}/man3/PDL::GSLSF::*

%files Demos
%defattr(644,root,root,755)
%{_mandir}/man3/PDL::BAD*
%{perl_vendorarch}/PDL/Demos

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-PDL.spec,v $
Revision 1.88  2004/05/29 09:47:35  qboosh
- fixed build on amd64, BR: perl-perldoc (needed by podselect)
- strict internal deps, release 2

Revision 1.87  2004/05/28 22:43:55  qboosh
- updated to 2.4.1
- compile slatec lib with -fPIC

Revision 1.86  2004/05/06 19:19:26  ankry
- tests disabled

Revision 1.85  2004/05/06 18:43:20  ankry
- fixed perl-devel BR

Revision 1.84  2004/05/06 12:30:12  radek
- release 2: fixed -Graphics-PLplot

Revision 1.83  2004/05/06 05:49:17  ankry
- tests added, license fix

Revision 1.82  2004/01/01 23:11:54  qboosh
- added -Graphics-PLplot

Revision 1.81  2003/12/31 16:55:59  qboosh
- changed vendorarch patch to use DESTDIR, updated files lists

Revision 1.80  2003/12/30 16:46:51  arekm
- updated md5

Revision 1.79  2003/12/30 16:39:37  arekm
- started update to 2.4.0

Revision 1.78  2003/08/19 14:28:06  qboosh
- updated _noauto for new wrappers, cosmetics

Revision 1.77  2003/08/18 08:09:07  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.76  2003/06/27 13:10:48  mmazur
- mass commit; now req: name = epoch:version

Revision 1.75  2003/05/28 13:00:56  malekith
- massive attack: source-md5

Revision 1.74  2003/05/25 06:24:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.73  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.72  2003/04/08 20:48:48  ankry
- rel. 3

Revision 1.71  2003/03/20 17:42:32  qboosh
- BR: perl >= 5.8.0-0.32 (perldoc was broken in 5.8.0 before rel. 0.32)
- added verdorarch patch (needed for INSTALLDIRS=vendor)
- added Graphics-Karma (using new karma patch)
- removed Provides which are autodetected by new rpm-perlprov

Revision 1.70  2003/03/01 20:22:18  radek
- should be ready for perl-5.8.0; release++

Revision 1.69  2003/02/28 17:59:50  qboosh
- fixed build with perl from HEAD
- added new -IO-Storable and -GSLSF subpackages

Revision 1.68  2003/02/25 00:41:03  radek
- use the __perl macro

Revision 1.67  2003/02/21 20:38:27  ankry
- updated to 2.3.4

Revision 1.66  2003/02/18 15:37:33  ankry
- massive attack: change CPAN URLs

Revision 1.65  2002/12/28 16:29:59  qboosh
- don't force gzipped infos and mans, some other fixes/cosmetics where necessary

Revision 1.64  2002/12/02 11:06:24  ankry
- massive cleaning

Revision 1.63  2002/08/07 22:44:11  ankry
- s/%%config/%%ghost, release 4

Revision 1.62  2002/07/21 21:15:20  ankry
- removed "-Mblib" from scripts

Revision 1.61  2002/07/21 00:36:11  ankry
- moved pdldoc (with infrastructure) to the -docs package
- create the pdldoc database in pre/post scripts
- HTML docs moved to -docs-HTML and build conditionally
- -IO-Browser is back
- reorganized man pages
- cleaning
- release 3

Revision 1.60  2002/07/13 23:08:28  qboosh
- more cleanups, added missing %%{perl_sitearch}/PDL/RandVar dir
- release 2

Revision 1.59  2002/07/12 22:45:34  qboosh
- updated BRs, cosmetics

Revision 1.58  2002/07/12 14:39:41  depesz
- new version (2.3.3)
- removed old patches

Revision 1.57  2002/07/12 14:34:49  depesz
perl-PDL.spec

Revision 1.56  2002/05/11 14:28:11  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.55  2002/03/03 14:47:06  marcus
- rel.8.

Revision 1.54  2002/03/03 14:46:07  marcus
- fixed %%files in Slatec subpackage

Revision 1.53  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.52  2002/02/10 15:32:56  depesz
adapterized

Revision 1.51  2002/02/09 12:59:38  depesz
- unified source path

Revision 1.50  2002/01/18 02:14:24  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.49  2002/01/13 18:59:13  qboosh
- Epoch=1 to allow upgrade from 2.003; release 7

Revision 1.48  2001/11/26 17:31:13  qrczak
- perl-PDL-c++.patch: link also with stdc++ when linking with OpenGL
  (required with gcc-3.x)
- release 6

Revision 1.47  2001/11/15 02:38:24  kloczek
- relase 5: merge translations from CNV and adapterize spec.

Revision 1.46  2001/05/18 16:10:19  qboosh
- enabled Slatec and GSL (BuildRequires: gsl-devel) - build as subpackages
- moved modules which always require Slatec to Slatec subpackage
- fixed some wrong manual names
- release 4

Revision 1.45  2001/05/11 16:17:13  kloczek
- release 3.

Revision 1.44  2001/05/11 16:13:47  qboosh
- patch to look for shared fftw libraries, not static

Revision 1.43  2001/05/11 00:41:26  qboosh
- shortened dep patch, use %%_noautoreq instead

Revision 1.42  2001/05/09 00:49:28  kloczek
- release 2: rebuild against fixed fttw libraries.

Revision 1.41  2001/05/03 15:24:28  baggins
- updated %%files

Revision 1.40  2001/04/30 23:01:01  misiek
2.2.1

Revision 1.39  2001/04/30 16:05:27  kloczek
- added using %%{rpmcflags} macro.

Revision 1.38  2001/04/17 12:14:08  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.37  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.36  2001/04/13 21:59:38  baggins
- fixed building with perl 5.6.1

Revision 1.35  2001/04/07 10:35:03  jajcus
- _noautoreqdep   libGL.so.1 libGLU.so.1

Revision 1.34  2001/02/09 17:34:45  qboosh
- removed PDL::Graphics2D from basic package (it's in Graphics-PGPLOT)

Revision 1.33  2001/02/09 03:12:57  qboosh
- don't use provides part of dep patch - it caused false provides
- removed PDL::IO::[^M]* modules from base package
- some explicit Requires and Provides

Revision 1.32  2001/02/03 19:09:48  agaran
Small patch for make..could somebody may look at that?

Revision 1.31  2001/02/02 11:21:15  kloczek
- updated to 2.2,
- removed all duplicated in html documentation,
- fixed permision on shared objects,
NOTE: still dependences scripts can not find perl(PDL::Config) and
perl(PDL::Graphics::TriD::GL) (probably something is broken in PDL sources).

Revision 1.30  2001/01/25 20:03:47  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.29  2001/01/05 08:47:28  kloczek
- merge PDL-new-layout branch to HEAD,
- added some missing %%description.

Revision 1.27.2.7  2000/12/10 15:18:21  wrobell
- some descriptions/summaries updated

Revision 1.27.2.6  2000/11/29 23:27:15  wrobell
- PDL-IO splitted into subpackages (but PDL::IO::Misc should
  stay in main package)
- PDL-Demos subpackage
- PDL-Graphics-LUT subpackage

Revision 1.27.2.5  2000/11/27 01:00:17  wrobell
- default attributes for all subpackages

Revision 1.27.2.4  2000/11/26 11:11:01  wrobell
- fixed subpackage summaries
- new subpackage perl-PDL-IO

Revision 1.27.2.3  2000/11/25 20:55:12  wrobell
- manpages in proper packages

Revision 1.27.2.2  2000/11/25 19:30:03  wrobell
- perl-Term-ReadLine-Gnu is optionaly required while running perldl
  (perldl will guess if you have it installed)

Revision 1.27.2.1  2000/11/25 19:23:40  wrobell
- divided into several subpackages

Revision 1.27  2000/11/25 01:45:35  kloczek
- remove preparing .packlist (this is not neccessary in PLD packages).

Revision 1.26  2000/11/25 00:51:58  wiget
don't requires OpenGL-static to build

Revision 1.25  2000/11/25 00:23:13  misiek
hopefuly fix OpenGL compilation problems

Revision 1.24  2000/10/23 18:16:21  kloczek
- release 3: use new rpm automation.

Revision 1.23  2000/09/05 09:14:08  zagrodzki
- BuildReq: perl-ExtUtils-F77

Revision 1.22  2000/08/31 06:40:46  yaro
- build requires OpenGL-static

Revision 1.21  2000/07/13 23:18:39  baggins
- release 2
- rebuild with ncurses 5.1

Revision 1.20  2000/06/23 11:38:50  kloczek
- updated to 2.1.1,
- new Source url.

Revision 1.19  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.18  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.17  2000/04/19 20:34:39  bonkey
- BuildRequires: Mesa-devel >= 3.1 changed to BuildRequires: OpenGL

Revision 1.16  2000/04/01 11:15:24  zagrodzki
- changed all BuildRoot definitions
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.15  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.14  2000/01/19 16:31:49  wiget
cleanup

Revision 1.13  2000/01/19 13:18:05  kloczek
- release 2,
- build agains Mesa 3.1.

Revision 1.12  1999/11/25 04:26:27  kloczek
- updated to 2.003.

Revision 1.11  1999/11/17 02:53:07  kloczek
- release 5,
- build agains ncurses 5.0.

Revision 1.10  1999/11/13 16:55:47  pius
- added '%%include /usr/lib/rpm/macros.perl'
- fixed dependencies
- release++

Revision 1.9  1999/09/15 16:28:57  wiget
- disabled 2 patches (are for perl >5.005_50)

Revision 1.8  1999/09/14 16:58:53  wiget
- fixed BuildRequires:

Revision 1.7  1999/08/28 12:10:10  wiget
- modified for perl 5.005_61

Revision 1.6  1999/07/20 12:48:09  wiget
- switch to rpm 3.0.2

Revision 1.5  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat May 29 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [2.0-2]
- added stripping shared libraries.

* Tue May 25 1999 Artur Frysiak <wiget@pld.org.pl>
  [2.0-1]
- initial version.
